Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 159697 - Registration silently performed on server while choking on client.
Summary: Registration silently performed on server while choking on client.
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: up2date
Version: 4.0
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Bryan Kearney
QA Contact: Amy Owens
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-07 05:25 UTC by Daniel Kian Mc Kiernan
Modified: 2013-01-10 08:48 UTC (History)
0 users

Fixed In Version: RHEL 5
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-04-21 19:36:01 UTC


Attachments (Terms of Use)

Description Daniel Kian Mc Kiernan 2005-06-07 05:25:35 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows 98; en) Opera 8.0

Description of problem:
rhn_register choked and issued an error message when it tried to pass hardware 
info.  On the client, rhn_register continued to requested information to pass to 
the server, as if no registration had occurred.  Meeting the demands of the 
client caused multiple registrations with the server which were not discovered 
until after-the-fact. (up2date whine of exhausted channels.)

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Get a system with the hardware that I have.
2. Leave checked the hardware reporting option of rhn_register.
3. Attempt to register.
  

Actual Results:  On the client, rhn_register continued to requested information to pass to the 
server, as if no registration had occurred. &c.

Expected Results:  The registration on the server should be deleted if rhn_register doesn't 
continue to the next step.

Additional info:


Note You need to log in before you can comment on or make changes to this bug.